# usage: extractpolar(X,ftrack,trackintervel,numtrack,angleinterval,average_radius)
#	returns a (angle, distance, value) list
#	of matrix X sampled at ai increments in angle,
#	and first track at distance ft, nt number of tracks,
#	and track increment ti
function [C,R,L] = extractpolar(X,ft,ti,nt,ai,av)

	cx = floor(columns(X)/2);
	cy = floor(rows(X)/2);

	R = [0,0,0];
	C = [0,0];
	L = [0,0,0];

	d(1) = ft;
	for i=2:nt
		d(i) = d(i-1)+ti;
	endfor
	at = 30;
	for t=1:(nt)

		for i=0:ai:360
			radian = i/180.0*pi;
			x = d(t) * cos(radian);
			y = d(t) * sin(radian);
			val = max(vec(X(y+cy-av:y+cy+av,x+cx-av:x+cx+av)));
			for s=(-ai/2):1:(ai/2)
				R = [ R; i+s, t-1, val];
			endfor
			C = [ C; x, y];
			
			if (t<=1 && (i<at || i>360-at || (i<180+at && i>180-at)))
				L = [L; i, t-1, 0];
			else
				L = [L; i, t-1, rem(i,180)/180.0];
			endif

		endfor;

	endfor

endfunction
		

	

