# function [E,V] = gausrandwalkedge(n,len,M)
#
#	with a given transition probability matrix M,
#	return a random walk contour matrix E and the V matrix
#	signifying the next step V. The contour length is len.
#
function [E,V] = gausrandwalkedge(n,length,M)

  E = zeros(n,n);
  V = zeros(n,n);

  x = round(n/2);
  y = round(n/2);
  for i=1:len

    rphi = round(rand*360);
    rtheta = round(rand*180);
    rdist = round(rand*n/2);

    while(rand < gausoverlap(n,rphi,rdelta,rtheta)/gausoverlap(n,0,n/10,0))
    	rphi = round(rand*360);
    	rtheta = round(rand*180);
    	rdist = round(rand*n/2);
    endwhile
    
