# usage: c = coherence(X), where each column is a time series
#	: returns the coherence (degree of synchronization) among
# 	  all sequences
# 	: defined by Hansel et al.
function c = coherence(X)

	n = rows(X);

 	A = zeros(n,1);
	for i=1:n
		A(i) = mean(X(i,:));
	endfor

	DN = var(A);

	N = columns(X);
	for i=1:N
		V(i) = var(X(:,i));
	endfor

	D = sum(V)/N;

	c = DN/D;

endfunction


