# function [or,sel] = orpref(X,nvecs,k_size,freq);

function [or,sel] = orpref(X,n,k_size,freq)

  [x,y] = size(X);
  k = k_size;

  v = [0,0];

  pad = 5;

  for i=0:1:n-1
	th = (180.0/n)*i;
  	s = orenergy(X,k,th,freq);

	[r,c] = size(s);
	
	# remove border
	s = s(pad:r-pad,pad:c-pad);
	
	len = max(max(s));

	# convert to cartesian
	#	- must convert to 360 degrees 
	[p,q]= pol2cart(2.0*th*pi/180.0,len);
	v = v + [p,q];

  	[or,sel] = cart2pol(v(1),v(2));
	# convert back to 180 degrees
  	or = or*180.0/pi/2.0;
	sel;

  endfor	

  # correct negative orientations
  if (or<0)
	or = or+180;
  endif

endfunction

  
  
