# function R = myrandn(r, c);
#	generate a r x c matrix R with random numbers with gaussian distribution
# From http://www.taygeta.com/random/gaussian.html. This is called Box-Muller
# transform.
#
# Algorithm is:
# float x1, x2, w, y1, y2;
#        
#                do {
#                        x1 = 2.0 * ranf() - 1.0;
#                        x2 = 2.0 * ranf() - 1.0;
#                        w = x1 * x1 + x2 * x2;
#                } while ( w >= 1.0 );
#
#                w = sqrt( (-2.0 * ln( w ) ) / w );
#                y1 = x1 * w;
#                y2 = x2 * w;
function R = myrandn(r, c)

 	R = zeros(r,c);

	for i=1:r
		for j=1:2:c

			x1 = rand(); x2 = rand();

			w = 100.0;
			while (w>=1.0)	
				x1 = 2.0 * rand() - 1.0;
				x2 = 2.0 * rand() - 1.0;
			w = x1 * x1 + x2 * x2;
			endwhile
			w = sqrt( (-2.0 * log( w ) ) / w );
 	                y1 = x1 * w;
       		        y2 = x2 * w;

			R(i,j) = y1;
			if (j+1<=c)
				R(i,j+1) = y2;
			endif
		endfor
	endfor
endfunction
	
