//----------------------------------------------------------------------------
// 
//	file: ppmtomat.cc
// 
//	function: save ppm file into a 2d ascii matrix
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Thu Nov 26 04:52:52 CST 1998
// 
//	$Revision: 1.1 $ $Date: 2002/06/20 22:35:52 $
//	$Log: ppmtomat.cc,v $
//	Revision 1.1  2002/06/20 22:35:52  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <stdio.h>
#include <nnview/ppmio.h>
#include <nnview/matrix.h>
#include <nnview/filename.h>
#include <nnview/real.h>

//----------------------------------------------------------------------------
//	usage() 
//	  - prog usage
//----------------------------------------------------------------------------
void usage(int argc) {

  if (argc != 4) { 
    cout  << " usage: ppmtomat <cols> <rows> <inputfile> > outfile" << endl;
    cout  << " 		- uses cartesian coordinate " << endl;
    exit(0);
  }

}

//----------------------------------------------------------------------------
//	draw_bar() 
//	  - fill in given rectangle with a value
//----------------------------------------------------------------------------
void draw_bar(int col, int row, int width, int height,
	REAL value, REAL **dest) {
 

  int start = col*width;
  int start_row = row*height;

  for (int i=start; i<start+width; ++i) 
     for (int j=start_row; j<start_row+height; ++j)
		dest[i][j] = value;

}
  
//----------------------------------------------------------------------------
//	main() 
//	  - the main
//----------------------------------------------------------------------------
int main(int argc, char *argv[]) {

  usage(argc);
	
  FILE *fp;

  int cols = atoi(argv[1]);
  int rows = atoi(argv[2]);
  int ppm_width = cols;
  int ppm_height = rows;

  matrix<REAL> *ppm_buff= new matrix<REAL>(ppm_width,ppm_height);

  ppmio *io = new ppmio(ppm_buff->mat,ppm_width,ppm_height,256);

  // read ppm file into matrix
  io->ppmread(argv[3]);
  io->ppmwrite("test.ppm");

  ppm_buff->print_matrix();

  delete io;
  delete ppm_buff;

}

