# function [v] = whitenoise_gabor(n,ori,c)
#		n x n whitenoise -> dog -> dotp gabor ori ^2 
#		generate c samples

function [v] = whitenoise_gabor(n,ori,c)

  gs = gabor(n,n,"sin",1,ori);
  gc = gabor(n,n,"cos",1,ori);

  for i=(1:c) 
	r = rand(n,n);
	d = dogfilter(r,n);
	v(i) = sum(vec(gs.*d))^2 + sum(vec(gc.*d))^2;
  endfor
endfunction
	
